Subject: A voice from the past on .programmer bits

From: David Bofinger <[email-masked]>
Date: Wed, 29 Apr 1992 15:19:06 -0700

Morpheus admits to being fooled by wizards:
>The threat of not having rooms linked to the main house seemed to _mean_
>something then.

>Now, prog bits are handed out almost the instant the new player steps out of
>the closet.

I once agitated for instant enprogrammerment, by automatic procedure. It seems
to me that the in-between "we'll give it to you but you have to ask" is a
strange compromise.

>However, there are a large number of players who are
>given these bits when they haven't even fleshed out their characters...
>descriptions and genders are left unset,

Have to cater to the "clueless computer-weenies with no imagination" crowd,
Morpheus. We ned them as allies against the "clueless computer-illiterates with
no imagination" crowd, who handily outnumber everyone else put together.

> several junk items are created, then
>the character disappears, never to be heard from again.

As long as the abandoned character and possessions quickly catch fire and burn
to the waterline, that isn't such a problem. I'm the original proponent of the
"infanticide not contraception" policy, i.e. let people build as they wish and
destroy anything that doesn't conform. And have an automatic enforcer that has
to be actively prevented from destroying things, so that the onus isn't thrust
on the wizards.

> People will be requesting prog bits now just to gain more quota
>(I could be talking through my hat here...I'm assuming that players are
>granted more quota once they've been given programmer status).

I wouldn't approve of such a policy. Quota increases should reward acheivments,
seems to me.

>Growth has practically ceased. In my opinion, a small
>core of programmers with a clear idea of what can be accomplished within theme
>would be infinitely more benefitial than a multitude of people all thrusting
>their chaotic concepts into the house.

Having hordes of morons ambulating about doesn't actually prevent the elite
from building. I wouldn't think it reduced growth, except perhaps because
wizards (who tend to be significant builders) are tied down as administrators.

Strange, this letter was originally intended to contain just that last
paragraph....

Somebody said they tried to build a strong-theme MOO and it crashed because
nobody would follow the theme. All I can suggest is that if you want a theme
you have to be fascist. "Let a thousand flowers blossom" is great for a
hackers' delight like Lambda, but if you want everyone to conform you have to
be prepared to haul out the weedkiller at the slightest provocation. A good
mechanism for this might be the provisional quota increase. One month (or
whatever) after such an increase everything a player owns above eir old limit
is destroyed. A wizard (or perhaps, any member of the architecture review
board) can provide provisional or permanent quota increases or extend
provisional ones as e sees fit.

A starting player has the following quota structure:

 -1 permanently (e has to pay for existing at all...)
  1 object  for 6 months (extended every time e logs in)
 20 objects for 2 months (enough to build a decent starting project)

Of course, if the quota goes negative at any time objects get recycled until it
is zero again. If necessary, until the player object itself dies. You'd need a
few heuristics to decide what order objects get killed in... exits before the
rooms they connect, I guess, and player objects last. Transfer of ownership
after creation may be a minor problem.

------------------------------------------------------------------------------
David Bofinger	AARNet:	[email-masked]
                Snail:	Dept. of Theoretical Physics, RSPhysSE, ANU, ACT, 2601
		MOO:	Nobody much these days....
------------------------------------------------------------------------------
"Eccentricity has always abounded where strength of character has also, and the
 amount of eccentricity in a society has generally been proportional to the
 amount of genius, mental vigour and moral courage which it contained."
					     -- "On Liberty", John Stuart Mill